Subject: RE: draft-zigmond-tv-url-02

From: Dan Zigmond <[email-masked]>
Date: Thu, 19 Aug 1999 14:17:22 -0700

I think two of the issues included tuning to full-screen video (using "tv:"
URIs as links) and placing TV broadcasts in the background
(background="tv:", for example).  Generally, Larry's solution seems to work
for the specific problem of using "tv:" in an OBJECT tag, but not for using
"tv:" in other contexts within HTML where URIs are allowed.  I think the
conclusion was that you do need a URI in the end.

	Dan

---------------------------------------------------
Dan Zigmond
Senior Manager, Broadcast Applications
WebTV Networks, Inc.
[email-masked]
---------------------------------------------------

-----Original Message-----
From: Michael A. Dolan [mailto:[email-masked]]
Sent: Thursday, August 19, 1999 1:45 PM
To: Larry Masinter
Cc: [email-masked]; Matt Crawford; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]; Lloyd Wood
Subject: RE: draft-zigmond-tv-url-02

Larry-

I will have to research some old email lists and various private 
email to reconstruct why what you propose below was decided won't 
work.  As I recall, the problems were in the semantics of the OBJECT 
tag.  I don't know if this is the forum for that discussion, but I'll 
try and reconstruct the argument.  This may take some time, so please 
stand by...

However, even if it turns out this will work and is a better HTML 
solution, we still need to document tv: since we weren't clever 
enough to do it that way and invented tv: instead.

	Mike

At 01:31 PM 8/19/99 PDT, Larry Masinter wrote:
>> The above led to a long discussion about the use of tv: as a
>> reference within the HTML page, including ue of the data: scheme 
and
>> OBJECT, etc.  The conclusion of this discussion with substantial
>> input from W3C offline and confirmation from Werner was in fact 
that
>> there was no better way to do it.
>
>It's hard to confirm that there is 'no better way', especially
>when presented with something that isn't a very good way.
>
>I think, actually,
>
>data:application/vnd.webtv.tune,channel=us.abc,date=19990819,time=23:
30pdt,durat
>ion=1hr
>
>would work nicely for your application; you could register
>'application/vnd.webtv.tune' (or whatever) as a new MIME type,
>the content of which is a line of text which tells a TV when
>and how to tune itself, and which can contain whatever data
>you think is necessary to give useful instructions. In the
>example above, you might include a global channel identifier,
>and a date, time and duration. But you could include whatever
>data was appropriate and implemented by your implementations.
>
>Whether a receiver of such a URI chooses to interpret this data
>is then not a matter of URL resolution (the resolution of a
>data URL is the URL itself). Instead, you have a more typical
>issue of whether you decide or can interpret this particular
>vendor-specific media type in the local context.
>
>It also means that the extensibility model would be clear, and the
>authority for determining what 'us.abc' meant would be within
>the context of the vnd.webtv.tune datatype.
>
>Now, if you're designing application/vnd.webtv.tune, I'd suggest
>that you try to make the content unambiguous without reference
>to any other local state, but that's your business.
>
>Larry
>--
>http://www.parc.xerox.com/masinter
>
>
>

------------------------------------------------------
Michael A. Dolan, Representing DIRECTV,  (619)445-9070   
PO Box 1673 Alpine, CA 91903        FAX: (619)445-6122